//i2c.h


#ifndef _i2c_h_
#define _i2c_h_
#include <sys/types.h>

#define _dbg			0

#define _i2cBus			"/dev/i2c-1"
#define i2cBUFFER_LENGTH	0x20
#define _i2c_WR			0xFE	//and
#define _i2c_RD			0x01	//or

int		i2cHandle;

extern int	i2c_OPEN(u_int8_t address);
extern int	i2c_WRIETE(u_int8_t baddr, u_int8_t * bdata, u_int8_t bsize);
extern int	i2c_READ(u_int8_t baddr, u_int8_t * bdata, u_int8_t bsize);
extern int	i2c_CLOSE(void);

#endif

