//mb1242.c

#include <sys/types.h>
#include <unistd.h>
#include "mb1242.h"
#include "i2c.h"

/*
default i2c_addr = 0x70 (hex)
*/


int	mb1242read_sensor(u_int8_t i2c_addr)
{
	u_int8_t	dat[2];
	int		res;
	int		dist;
	u_int8_t	db = 81;
	//
	res = i2c_OPEN(i2c_addr);
	if(res < 0)
		return res;
	res = i2c_WRIETE(224, &db, 1);
	if(res < 0)
		return res;
	usleep(_wait_sensor);
	res = i2c_READ(224, &dat[0], 2);
	if(res < 0)
		return res;
	res = i2c_CLOSE();
	dist	= (dat[0] << 8) + dat[1];	
	return dist;
}
